%define name	perl-Lingua-Stem-Snowball-No
%define version	1.0
%define release	1mdk

Summary:	Lingua-Stem-Snowball-No module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Snowball-Norwegian-%{version}.tar.bz2
URL:		http://www.cpan.org
Requires:	perl
Requires:	locales-no
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Lingua-Stem-Snowball-No module for perl

%prep
%setup -q -n Snowball-Norwegian-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

mv %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer.pl \
    %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-No.pl

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Lingua/Stem/Snowball/No.pm
%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-No.pl
%{_mandir}/*

%changelog
* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- require locales-no
- fix package naming
- fix conflicting name on the stemmer.pl file

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib.
